> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/69.-mutacion-eliminar-photo.md).

# 69. Mutación: Eliminar "Photo"

Eliminar la "Foto" seleccionada.

{% hint style="info" %}
Debes ser el Propietario para eliminar una foto.
{% endhint %}

La "Foto" puede estar vinculada ya sea a una "Nota" o a un "Comentario". Por lo tanto, es obligatorio controlar los atributos uuid, noteUuid y commentUuid en la respuesta.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutación DeleteNotePhotoSample {
  deletePhoto(input: {
    uuid: "<placeholder_for_photo_uuid>"
    noteUuid: "<placeholder_for_note_uuid>"
  }) {
    uuid
    noteUuid
    url
    fechaCreacion
    updatedDate
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutación DeleteCommentPhotoSample {
  deletePhoto(input: {
    uuid: "<placeholder_for_photo_uuid>"
    noteUuid: "<placeholder_for_note_uuid>"
    commentUuid: "<placeholder_for_comment_uuid>"
  }) {
    uuid
    noteUuid
    commentUuid
    url
    fechaCreacion
    updatedDate
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/69.-mutacion-eliminar-photo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
